* Function that gets an input file name.
      Character*30 Function GetFile()
      Character name*30
      Logical Test

      Test = .false.
      Do While( .not. test )
         Print *, 'Enter the name of the input file:'
         read '(A)', Name

         Inquire( File = Name, Exist = Test )
         If( Test ) then
            GetFile = Name
            Return
         Endif
         Print *,'File does not exist---try again.'
      End Do

      End
